Subject: Re: [PATCH v8 1/2] powerpc/rtas: Rename rtas_error_rc to rtas_generic_errno

From: Michael Ellerman <[email-masked]>
Date: Thu, 17 Aug 2023 16:44:38 +1000

Mahesh J Salgaonkar <[email-masked]> writes:
> On 2023-08-15 13:52:14 Tue, Michael Ellerman wrote:
>> Mahesh Salgaonkar <[email-masked]> writes:
...
>> > diff --git a/arch/powerpc/include/asm/rtas.h b/arch/powerpc/include/asm/rtas.h
>> > index 3abe15ac79db1..5572a0a2f6e18 100644
>> > --- a/arch/powerpc/include/asm/rtas.h
>> > +++ b/arch/powerpc/include/asm/rtas.h
>> > @@ -202,7 +202,9 @@ typedef struct {
>> >  #define RTAS_USER_REGION_SIZE (64 * 1024)
>> >  
>> >  /* RTAS return status codes */
>> > -#define RTAS_BUSY		-2    /* RTAS Busy */
>> > +#define RTAS_HARDWARE_ERROR	(-1)  /* Hardware Error */
>> > +#define RTAS_BUSY		(-2)  /* RTAS Busy */
>> 
>> Are the brackets necessary?
>
> During v5 changset I received offline review comment to add brackets,
> hence continued here as well. I can take it away if Nathan is fine with
> it.

OK. I can't think of a context where the brackets are useful, but I'm
probably just not thinking hard enough. I don't really mind adding them,
I was just curious what the justification for them was.

cheers